Bug 203215

Summary: Implement support for the Clear-Site-Data HTTP header
Product: WebKit Reporter: Carlos Alberto Lopez Perez <clopez>
Component: WebCore Misc.Assignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, cgarcia, mihaip, tomac, wangxgwxg, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=245553
Bug Depends on: 264852, 245553, 251094, 251470, 251766, 251768, 251821, 251855, 251856    
Bug Blocks:    

Description Carlos Alberto Lopez Perez 2019-10-21 15:14:17 PDT
The Clear-Site-Data http header clears browsing data (cookies, storage, cache) associated with the requesting website.
It allows web developers to have more control over the data stored locally by a browser for their origins.
https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Clear-Site-Data


Clear Site Data is a W3C draft intended to become recommendation:
https://www.w3.org/TR/clear-site-data/
https://github.com/w3c/webappsec-clear-site-data


Support for this is currently missing on WebKit
Comment 1 Carlos Alberto Lopez Perez 2019-10-21 15:15:27 PDT
There are some WPT tests at http://web-platform-tests.live/clear-site-data/
Comment 2 Chris Dumez 2022-09-20 21:53:53 PDT
Pull request: https://github.com/WebKit/WebKit/pull/4557
Comment 3 EWS 2022-09-21 20:24:15 PDT
Committed 254745@main (c65efd2b205c): <https://commits.webkit.org/254745@main>

Reviewed commits have been landed. Closing PR #4557 and removing active labels.
Comment 4 Radar WebKit Bug Importer 2022-09-21 20:25:17 PDT
<rdar://problem/100253739>
Comment 5 Chris Dumez 2023-02-07 08:52:00 PST
Reopening as I am still working on fixing issues and the feature is currently disabled by default.
Comment 6 Sam Sneddon [:gsnedders] 2023-04-11 09:45:43 PDT
(In reply to Chris Dumez from comment #5)
> Reopening as I am still working on fixing issues and the feature is
> currently disabled by default.

Unless I'm mistaken, bug 251856 turned it back on, minutes after you posted this comment?